import CRUDBase from '../CRUDBase.js'

class RoleResource extends CRUDBase {

    constructor() {
        super()

        this.endpoint = '/api/v1/auth/roles'
        this.required_fields = ['role', 'permissions']
        this.permission_base = 'v1:auth:roles'

        this.item = 'Role'
        this.plural = 'Roles'
    }
}

const auth_role = new RoleResource()
export { auth_role }
